<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>

    <IsPackable>false</IsPackable>

    <Platforms>AnyCPU;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
	<PackageReference Include="coverlet.collector" Version="3.2.0">
     <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
     <PrivateAssets>all</PrivateAssets>
    </PackageReference>
	<PackageReference Include="coverlet.msbuild" Version="6.0.0">
	  <PrivateAssets>all</PrivateAssets>
	  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
	</PackageReference>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.5.0" />
    <PackageReference Include="Selenium.WebDriver" Version="4.8.2" />
    <PackageReference Include="xunit" Version="2.4.2" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.5">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>   
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Hochbaustatistik\Hochbaustatistik.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="TestData\Testdata.csv">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Interop.Domino">
      <HintPath>Utilities\Interop.Domino.dll</HintPath>
    </Reference>
    <Reference Include="Interop.Microsoft.Office.Interop.Excel">
      <HintPath>Utilities\Interop.Microsoft.Office.Interop.Excel.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
